import pickle
import numpy as np
import pandas as pd
import seaborn as sns
import matplotlib.pyplot as plt
import os


os.makedirs('./output/', exist_ok=True)

# supplementary figure 3a

data = pd.read_csv('./data/supplement/supplement_figure2.csv')


fig = plt.figure(dpi=300, figsize=(8,4))

plt.plot(data['step'], data['without_d2'], label='validation loss w/o D2')
plt.plot(data['step'], data['with_d2'], label='validation loss w/ D2')

plt.ylabel('validation loss')
plt.xlabel('training step')

plt.legend()

fig.savefig('./output/sfig2.svg', bbox_inches='tight')