import pickle
import numpy as np
import pandas as pd
import seaborn as sns
import matplotlib.pyplot as plt
import os


os.makedirs('./output/', exist_ok=True)

# supplementary figure 3a

data_ps_val_df = pd.read_csv('./data/supplement/supplement_figure3a.csv')
eas_peterson = pd.read_csv('./data/supplement/supplement_figure3a_peterson2011.csv')

fig = plt.figure(dpi=200, figsize=(4,3))
sns.lineplot(data=data_ps_val_df[data_ps_val_df['pw']==0.1], x='eas', y="threshold error", label='our weighted sum implementation')
plt.plot(eas_peterson['x'].to_numpy(), eas_peterson['y'].to_numpy(), label='published weighted sum', color='k', linestyle='--')

plt.ylabel('threshold error (%)')
plt.xlabel('electrode-axon spacing (μm)')
plt.ylim(-40, 40)
plt.legend(fontsize=8)

fig.savefig('./output/sfig3_a.svg', bbox_inches='tight')


# supplementary figure 3b

data_ps_val_ins_df = pd.read_csv('./data/supplement/supplement_figure3b.csv')
ins_peterson = pd.read_csv('./data/supplement/supplement_figure3b_peterson2011.csv')

fig = plt.figure(dpi=200, figsize=(4,3))
sns.lineplot(data=data_ps_val_ins_df[data_ps_val_ins_df['pw']==0.1], x='ins', y="threshold error", label='our weghted sum implementation')
plt.plot(ins_peterson['x'].to_numpy(), ins_peterson['y'].to_numpy(), label='published weighted sum', color='k', linestyle='--')

plt.ylabel('threshold error (%)')
plt.xlabel('alignment offset (% internodal length)')
plt.ylim(-10, 25)
plt.legend(fontsize=8)

fig.savefig('./output/sfig3_b.svg', bbox_inches='tight')
