import pandas as pd
import matplotlib.pyplot as plt
import seaborn as sns
import numpy as np
import os

os.makedirs('./output/', exist_ok=True)

df = pd.read_csv('./data/supplement/supplement_figure8.csv')

fig = plt.figure(dpi=200, figsize=(8, 3.5))

ax = sns.lineplot(data=df, 
                  x='gradient descent step',
                  y=r'surrogate accuracy (%)',
                  palette="colorblind",
                  hue='waveform',
                  estimator='median',
                  errorbar='ci')


sns.move_legend(ax, "upper left", bbox_to_anchor=(1, 1))
sns.despine(offset=6, trim=False)
plt.ylabel('S-MF accuracy (%)')
plt.scatter(df[df['waveform']=='Biphasic']['gradient descent step'].to_numpy()+(-0.5+np.random.rand(252)),
            df[df['waveform']=='Biphasic'][r'surrogate accuracy (%)'].to_numpy(),
            s=0.4)

plt.scatter(df[df['waveform']=='Arbitrary']['gradient descent step'].to_numpy()+(-0.5+np.random.rand(252)),
            df[df['waveform']=='Arbitrary'][r'surrogate accuracy (%)'].to_numpy(),
            s=0.4)

fig.savefig('./output/sfig8.svg', bbox_inches='tight')
